*{
  margin: 0;
  padding: 0;
}
body{
  height: 100vh;
  background: #E1E2E3; /*#17a2b8; */
  overflow: hidden;
}
nav{
  position: absolute;
  top: 150px;
  right: 0;
  width: 80px;
  height: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  cursor: grab;
  z-index: 9999;
}
nav .nav-content{
  display: flex;
  align-items: center;
  justify-content: center;
  transform: rotate(-45deg);
}
.nav-content .toggle-btn,
.nav-content span a{
  height: 60px;
  width: 60px;
  background: #E1E2E3;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  box-shadow: 0 0 20px rgba(0,0,0,0.2);
}
.nav-content .toggle-btn{
  font-size: 35px;
  color: #3273BB;
  z-index: 100;
  cursor: pointer;
  transform: rotate(-315deg);
  transition: all 0.6s ease;
}
nav.open .toggle-btn{
  transform: rotate(-45deg);
}
.nav-content span{
  position: absolute;
  transition: all 0.6s ease;
  opacity: 0;
}
nav.open .nav-content span{
  transform: rotate(calc(var(--i) * (360deg/8))) translateY(120px);
  opacity: 1;
}
.nav-content span a{
  text-decoration: none;
  transform: rotate(45deg);
}
.nav-content span a i{
  font-size: 24px;
  color: #3273BB; /*#0e2431;  #29266F  #060270 #003273*/
  transform: rotate(calc(var(--i) * (360deg/ -8)));
  opacity: 0.8;
  transition: 0.2s;
}
.nav-content span a:hover i{
  opacity: 1;
}































































































































/*  */
